Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyle.PixelMetric

    java.lang.Object
      java.lang.Enum<QStyle.PixelMetric>
          com.trolltech.qt.gui.QStyle.PixelMetric

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyle.PixelMetric>

Enclosing class:
  QStyle

    public static enum QStyle.PixelMetric

extends java.lang.Enum<QStyle.PixelMetric>
implements QtEnumerator

This enum describes the various available pixel metrics. A pixel metric is a style dependent size represented by a single pixel value.

Constant | Value | Description
--- | --- | ---
`PM_ButtonMargin` | `0` | Amount of whitespace between push button labels and the frame.
`PM_DockWidgetTitleBarButtonMargin` | `78` | Amount of whitespace between dock widget's title bar button labels and the frame.
`PM_ButtonDefaultIndicator` | `1` | Width of the default-button indicator frame.
`PM_MenuButtonIndicator` | `2` | Width of the menu button indicator proportional to the widget height.
`PM_ButtonShiftHorizontal` | `3` | Horizontal contents shift of a button when the button is down.
`PM_ButtonShiftVertical` | `4` | Vertical contents shift of a button when the button is down.
`PM_DefaultFrameWidth` | `5` | Default frame width (usually 2).
`PM_SpinBoxFrameWidth` | `6` | Frame width of a spin box, defaults to `PM_DefaultFrameWidth`.
`PM_ComboBoxFrameWidth` | `7` | Frame width of a combo box, defaults to `PM_DefaultFrameWidth`.
`PM_MDIFrameWidth` | `46` | Obsolete. Use `PM_MdiSubWindowFrameWidth` instead.
`PM_MdiSubWindowFrameWidth` | `46` | Frame width of an MDI window.
`PM_MDIMinimizedWidth` | `47` | Obsolete. Use `PM_MdiSubWindowMinimizedWidth` instead.
`PM_MdiSubWindowMinimizedWidth` | `47` | Width of a minimized MDI window.
`PM_LayoutLeftMargin` | `80` | Default left margin for a `QLayout`.
`PM_LayoutTopMargin` | `81` | Default top margin for a `QLayout`.
`PM_LayoutRightMargin` | `82` | Default right margin for a `QLayout`.
`PM_LayoutBottomMargin` | `83` | Default bottom margin for a `QLayout`.
`PM_LayoutHorizontalSpacing` | `84` | Default horizontal spacing for a `QLayout`.
`PM_LayoutVerticalSpacing` | `85` | Default vertical spacing for a `QLayout`.
`PM_MaximumDragDistance` | `8` | The maximum allowed distance between the mouse and a slider when dragging. Exceeding the specified distance will cause the slider to jump back to the original position; a value of -1 disables this behavior.
`PM_ScrollBarExtent` | `9` | Width of a vertical scroll bar and the height of a horizontal scroll bar.
`PM_ScrollBarSliderMin` | `10` | The minimum height of a vertical scroll bar's slider and the minimum width of a horizontal scroll bar's slider.
`PM_SliderThickness` | `11` | Total slider thickness.
`PM_SliderControlThickness` | `12` | Thickness of the slider handle.
`PM_SliderLength` | `13` | Length of the slider.
`PM_SliderTickmarkOffset` | `14` | The offset between the tickmarks and the slider.
`PM_SliderSpaceAvailable` | `15` | The available space for the slider to move.
`PM_DockWidgetSeparatorExtent` | `16` | Width of a separator in a horizontal dock window and the height of a separator in a vertical dock window.
`PM_DockWidgetHandleExtent` | `17` | Width of the handle in a horizontal dock window and the height of the handle in a vertical dock window.
`PM_DockWidgetFrameWidth` | `18` | Frame width of a dock window.
`PM_DockWidgetTitleMargin` | `75` | Margin of the dock window title.
`PM_MenuBarPanelWidth` | `33` | Frame width of a menu bar, defaults to `PM_DefaultFrameWidth`.
`PM_MenuBarItemSpacing` | `34` | Spacing between menu bar items.
`PM_MenuBarHMargin` | `36` | Spacing between menu bar items and left/right of bar.
`PM_MenuBarVMargin` | `35` | Spacing between menu bar items and top/bottom of bar.
`PM_ToolBarFrameWidth` | `54` | Width of the frame around toolbars.
`PM_ToolBarHandleExtent` | `55` | Width of a toolbar handle in a horizontal toolbar and the height of the handle in a vertical toolbar.
`PM_ToolBarItemMargin` | `57` | Spacing between the toolbar frame and the items.
`PM_ToolBarItemSpacing` | `56` | Spacing between toolbar items.
`PM_ToolBarSeparatorExtent` | `58` | Width of a toolbar separator in a horizontal toolbar and the height of a separator in a vertical toolbar.
`PM_ToolBarExtensionExtent` | `59` | Width of a toolbar extension button in a horizontal toolbar and the height of the button in a vertical toolbar.
`PM_TabBarTabOverlap` | `19` | Number of pixels the tabs should overlap. (Currently only used in styles, not inside of `QTabBar`)
`PM_TabBarTabHSpace` | `20` | Extra space added to the tab width.
`PM_TabBarTabVSpace` | `21` | Extra space added to the tab height.
`PM_TabBarBaseHeight` | `22` | Height of the area between the tab bar and the tab pages.
`PM_TabBarBaseOverlap` | `23` | Number of pixels the tab bar overlaps the tab bar base.
`PM_TabBarScrollButtonWidth` | `53` |
`PM_TabBarTabShiftHorizontal` | `51` | Horizontal pixel shift when a tab is selected.
`PM_TabBarTabShiftVertical` | `52` | Vertical pixel shift when a tab is selected.
`PM_ProgressBarChunkWidth` | `24` | Width of a chunk in a progress bar indicator.
`PM_SplitterWidth` | `25` | Width of a splitter.
`PM_TitleBarHeight` | `26` | Height of the title bar.
`PM_IndicatorWidth` | `37` | Width of a check box indicator.
`PM_IndicatorHeight` | `38` | Height of a checkbox indicator.
`PM_ExclusiveIndicatorWidth` | `39` | Width of a radio button indicator.
`PM_ExclusiveIndicatorHeight` | `40` | Height of a radio button indicator.
`PM_MenuPanelWidth` | `30` | Border width (applied on all sides) for a `QMenu`.
`PM_MenuHMargin` | `28` | Additional border (used on left and right) for a `QMenu`.
`PM_MenuVMargin` | `29` | Additional border (used for bottom and top) for a `QMenu`.
`PM_MenuScrollerHeight` | `27` | Height of the scroller area in a `QMenu`.
`PM_MenuTearoffHeight` | `31` | Height of a tear off area in a `QMenu`.
`PM_MenuDesktopFrameWidth` | `32` | The frame width for the menu on the desktop.
`PM_CheckListButtonSize` | `41` | Area (width/height) of the checkbox/radio button in a Q3CheckListItem.
`PM_CheckListControllerSize` | `42` | Area (width/height) of the controller in a Q3CheckListItem.
`PM_DialogButtonsSeparator` | `43` | Distance between buttons in a dialog buttons widget.
`PM_DialogButtonsButtonWidth` | `44` | Minimum width of a button in a dialog buttons widget.
`PM_DialogButtonsButtonHeight` | `45` | Minimum height of a button in a dialog buttons widget.
`PM_HeaderMarkSize` | `49` | The size of the sort indicator in a header.
`PM_HeaderGripMargin` | `50` | The size of the resize grip in a header.
`PM_HeaderMargin` | `48` | The size of the margin between the sort indicator and the text.
`PM_SpinBoxSliderHeight` | `60` | The height of the optional spin box slider.
`PM_ToolBarIconSize` | `64` | Default tool bar icon size
`PM_SmallIconSize` | `67` | Default small icon size
`PM_LargeIconSize` | `68` | Default large icon size
`PM_FocusFrameHMargin` | `70` | Horizontal margin that the focus frame will outset the widget by.
`PM_FocusFrameVMargin` | `69` | Vertical margin that the focus frame will outset the widget by.
`PM_IconViewIconSize` | `66` | The default size for icons in an icon view.
`PM_ListViewIconSize` | `65` | The default size for icons in a list view.
`PM_ToolTipLabelFrameWidth` | `71` | The frame width for a tool tip label.
`PM_CheckBoxLabelSpacing` | `72` | The spacing between a check box indicator and its label.
`PM_RadioButtonLabelSpacing` | `79` | The spacing between a radio button indicator and its label.
`PM_TabBarIconSize` | `73` | The default icon size for a tab bar.
`PM_SizeGripSize` | `74` | The size of a size grip.
`PM_MessageBoxIconSize` | `76` | The size of the standard icons in a message box
`PM_ButtonIconSize` | `77` | The default size of button icons
`PM_CustomBase` | `-268435456` | Base value for custom pixel metrics. Custom values must be greater than this value.

The following values are obsolete:

Constant | Value | Description
--- | --- | ---
`PM_DefaultTopLevelMargin` | `61` | Use `PM_LayoutLeftMargin`, `PM_LayoutTopMargin`, `PM_LayoutRightMargin`, and `PM_LayoutBottomMargin` instead.
`PM_DefaultChildMargin` | `62` | Use `PM_LayoutLeftMargin`, `PM_LayoutTopMargin`, `PM_LayoutRightMargin`, and `PM_LayoutBottomMargin` instead.
`PM_DefaultLayoutSpacing` | `63` | Use `PM_LayoutHorizontalSpacing` and `PM_LayoutVerticalSpacing` instead.

See Also:
  `pixelMetric`

Enum Constant Summary
`CustomEnum`
`PM_ButtonDefaultIndicator` Width of the default-button indicator frame.
`PM_ButtonIconSize` The default size of button icons
`PM_ButtonMargin` Amount of whitespace between push button labels and the frame.
`PM_ButtonShiftHorizontal` Horizontal contents shift of a button when the button is down.
`PM_ButtonShiftVertical` Vertical contents shift of a button when the button is down.
`PM_CheckBoxLabelSpacing` The spacing between a check box indicator and its label.
`PM_CheckListButtonSize` Area (width/height) of the checkbox/radio button in a Q3CheckListItem.
`PM_CheckListControllerSize` Area (width/height) of the controller in a Q3CheckListItem.
`PM_ComboBoxFrameWidth` Frame width of a combo box, defaults to `PM_DefaultFrameWidth`.
`PM_CustomBase` Base value for custom pixel metrics.
`PM_DefaultChildMargin` Use `PM_LayoutLeftMargin`, `PM_LayoutTopMargin`, `PM_LayoutRightMargin`, and `PM_LayoutBottomMargin` instead.
`PM_DefaultFrameWidth` Default frame width (usually 2).
`PM_DefaultLayoutSpacing` Use `PM_LayoutHorizontalSpacing` and `PM_LayoutVerticalSpacing` instead.
`PM_DefaultTopLevelMargin` Use `PM_LayoutLeftMargin`, `PM_LayoutTopMargin`, `PM_LayoutRightMargin`, and `PM_LayoutBottomMargin` instead.
`PM_DialogButtonsButtonHeight` Minimum height of a button in a dialog buttons widget.
`PM_DialogButtonsButtonWidth` Minimum width of a button in a dialog buttons widget.
`PM_DialogButtonsSeparator` Distance between buttons in a dialog buttons widget.
`PM_DockWidgetFrameWidth` Frame width of a dock window.
`PM_DockWidgetHandleExtent` Width of the handle in a horizontal dock window and the height of the handle in a vertical dock window.
`PM_DockWidgetSeparatorExtent` Width of a separator in a horizontal dock window and the height of a separator in a vertical dock window.
`PM_DockWidgetTitleBarButtonMargin` Amount of whitespace between dock widget's title bar button labels and the frame.
`PM_DockWidgetTitleMargin` Margin of the dock window title.
`PM_ExclusiveIndicatorHeight` Height of a radio button indicator.
`PM_ExclusiveIndicatorWidth` Width of a radio button indicator.
`PM_FocusFrameHMargin` Horizontal margin that the focus frame will outset the widget by.
`PM_FocusFrameVMargin` Vertical margin that the focus frame will outset the widget by.
`PM_HeaderGripMargin` The size of the resize grip in a header.
`PM_HeaderMargin` The size of the margin between the sort indicator and the text.
`PM_HeaderMarkSize` The size of the sort indicator in a header.
`PM_IconViewIconSize` The default size for icons in an icon view.
`PM_IndicatorHeight` Height of a checkbox indicator.
`PM_IndicatorWidth` Width of a check box indicator.
`PM_LargeIconSize` Default large icon size
`PM_LayoutBottomMargin` Default bottom margin for a `QLayout`.
`PM_LayoutHorizontalSpacing` Default horizontal spacing for a `QLayout`.
`PM_LayoutLeftMargin` Default left margin for a `QLayout`.
`PM_LayoutRightMargin` Default right margin for a `QLayout`.
`PM_LayoutTopMargin` Default top margin for a `QLayout`.
`PM_LayoutVerticalSpacing` Default vertical spacing for a `QLayout`.
`PM_ListViewIconSize` The default size for icons in a list view.
`PM_MaximumDragDistance` The maximum allowed distance between the mouse and a slider when dragging.
`PM_MdiSubWindowFrameWidth` Frame width of an MDI window.
`PM_MdiSubWindowMinimizedWidth` Width of a minimized MDI window.
`PM_MenuBarHMargin` Spacing between menu bar items and left/right of bar.
`PM_MenuBarItemSpacing` Spacing between menu bar items.
`PM_MenuBarPanelWidth` Frame width of a menu bar, defaults to `PM_DefaultFrameWidth`.
`PM_MenuBarVMargin` Spacing between menu bar items and top/bottom of bar.
`PM_MenuButtonIndicator` Width of the menu button indicator proportional to the widget height.
`PM_MenuDesktopFrameWidth` The frame width for the menu on the desktop.
`PM_MenuHMargin` Additional border (used on left and right) for a `QMenu`.
`PM_MenuPanelWidth` Border width (applied on all sides) for a `QMenu`.
`PM_MenuScrollerHeight` Height of the scroller area in a `QMenu`.
`PM_MenuTearoffHeight` Height of a tear off area in a `QMenu`.
`PM_MenuVMargin` Additional border (used for bottom and top) for a `QMenu`.
`PM_MessageBoxIconSize` The size of the standard icons in a message box
`PM_ProgressBarChunkWidth` Width of a chunk in a progress bar indicator.
`PM_RadioButtonLabelSpacing` The spacing between a radio button indicator and its label.
`PM_ScrollBarExtent` Width of a vertical scroll bar and the height of a horizontal scroll bar.
`PM_ScrollBarSliderMin` The minimum height of a vertical scroll bar's slider and the minimum width of a horizontal scroll bar's slider.
`PM_SizeGripSize` The size of a size grip.
`PM_SliderControlThickness` Thickness of the slider handle.
`PM_SliderLength` Length of the slider.
`PM_SliderSpaceAvailable` The available space for the slider to move.
`PM_SliderThickness` Total slider thickness.
`PM_SliderTickmarkOffset` The offset between the tickmarks and the slider.
`PM_SmallIconSize` Default small icon size
`PM_SpinBoxFrameWidth` Frame width of a spin box, defaults to `PM_DefaultFrameWidth`.
`PM_SpinBoxSliderHeight` The height of the optional spin box slider.
`PM_SplitterWidth` Width of a splitter.
`PM_TabBarBaseHeight` Height of the area between the tab bar and the tab pages.
`PM_TabBarBaseOverlap` Number of pixels the tab bar overlaps the tab bar base.
`PM_TabBarIconSize` The default icon size for a tab bar.
`PM_TabBarScrollButtonWidth` Internal.
`PM_TabBarTabHSpace` Extra space added to the tab width.
`PM_TabBarTabOverlap` Number of pixels the tabs should overlap.
`PM_TabBarTabShiftHorizontal` Horizontal pixel shift when a tab is selected.
`PM_TabBarTabShiftVertical` Vertical pixel shift when a tab is selected.
`PM_TabBarTabVSpace` Extra space added to the tab height.
`PM_TitleBarHeight` Height of the title bar.
`PM_ToolBarExtensionExtent` Width of a toolbar extension button in a horizontal toolbar and the height of the button in a vertical toolbar.
`PM_ToolBarFrameWidth` Width of the frame around toolbars.
`PM_ToolBarHandleExtent` Width of a toolbar handle in a horizontal toolbar and the height of the handle in a vertical toolbar.
`PM_ToolBarIconSize` Default tool bar icon size
`PM_ToolBarItemMargin` Spacing between the toolbar frame and the items.
`PM_ToolBarItemSpacing` Spacing between toolbar items.
`PM_ToolBarSeparatorExtent` Width of a toolbar separator in a horizontal toolbar and the height of a separator in a vertical toolbar.
`PM_ToolTipLabelFrameWidth` The frame width for a tool tip label.

Method Summary
`static QStyle.PixelMetric` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyle.PixelMetric` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyle.PixelMetric[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PM_ButtonMargin

    public static final QStyle.PixelMetric PM_ButtonMargin

  Amount of whitespace between push button labels and the frame.

### PM_ButtonDefaultIndicator

    public static final QStyle.PixelMetric PM_ButtonDefaultIndicator

  Width of the default-button indicator frame.

### PM_MenuButtonIndicator

    public static final QStyle.PixelMetric PM_MenuButtonIndicator

  Width of the menu button indicator proportional to the widget height.

### PM_ButtonShiftHorizontal

    public static final QStyle.PixelMetric PM_ButtonShiftHorizontal

  Horizontal contents shift of a button when the button is down.

### PM_ButtonShiftVertical

    public static final QStyle.PixelMetric PM_ButtonShiftVertical

  Vertical contents shift of a button when the button is down.

### PM_DefaultFrameWidth

    public static final QStyle.PixelMetric PM_DefaultFrameWidth

  Default frame width (usually 2).

### PM_SpinBoxFrameWidth

    public static final QStyle.PixelMetric PM_SpinBoxFrameWidth

  Frame width of a spin box, defaults to `PM_DefaultFrameWidth`.

### PM_ComboBoxFrameWidth

    public static final QStyle.PixelMetric PM_ComboBoxFrameWidth

  Frame width of a combo box, defaults to `PM_DefaultFrameWidth`.

### PM_MaximumDragDistance

    public static final QStyle.PixelMetric PM_MaximumDragDistance

  The maximum allowed distance between the mouse and a slider when dragging. Exceeding the specified distance will cause the slider to jump back to the original position; a value of -1 disables this behavior.

### PM_ScrollBarExtent

    public static final QStyle.PixelMetric PM_ScrollBarExtent

  Width of a vertical scroll bar and the height of a horizontal scroll bar.

### PM_ScrollBarSliderMin

    public static final QStyle.PixelMetric PM_ScrollBarSliderMin

  The minimum height of a vertical scroll bar's slider and the minimum width of a horizontal scroll bar's slider.

### PM_SliderThickness

    public static final QStyle.PixelMetric PM_SliderThickness

  Total slider thickness.

### PM_SliderControlThickness

    public static final QStyle.PixelMetric PM_SliderControlThickness

  Thickness of the slider handle.

### PM_SliderLength

    public static final QStyle.PixelMetric PM_SliderLength

  Length of the slider.

### PM_SliderTickmarkOffset

    public static final QStyle.PixelMetric PM_SliderTickmarkOffset

  The offset between the tickmarks and the slider.

### PM_SliderSpaceAvailable

    public static final QStyle.PixelMetric PM_SliderSpaceAvailable

  The available space for the slider to move.

### PM_DockWidgetSeparatorExtent

    public static final QStyle.PixelMetric PM_DockWidgetSeparatorExtent

  Width of a separator in a horizontal dock window and the height of a separator in a vertical dock window.

### PM_DockWidgetHandleExtent

    public static final QStyle.PixelMetric PM_DockWidgetHandleExtent

  Width of the handle in a horizontal dock window and the height of the handle in a vertical dock window.

### PM_DockWidgetFrameWidth

    public static final QStyle.PixelMetric PM_DockWidgetFrameWidth

  Frame width of a dock window.

### PM_TabBarTabOverlap

    public static final QStyle.PixelMetric PM_TabBarTabOverlap

  Number of pixels the tabs should overlap. (Currently only used in styles, not inside of `QTabBar`)

### PM_TabBarTabHSpace

    public static final QStyle.PixelMetric PM_TabBarTabHSpace

  Extra space added to the tab width.

### PM_TabBarTabVSpace

    public static final QStyle.PixelMetric PM_TabBarTabVSpace

  Extra space added to the tab height.

### PM_TabBarBaseHeight

    public static final QStyle.PixelMetric PM_TabBarBaseHeight

  Height of the area between the tab bar and the tab pages.

### PM_TabBarBaseOverlap

    public static final QStyle.PixelMetric PM_TabBarBaseOverlap

  Number of pixels the tab bar overlaps the tab bar base.

### PM_ProgressBarChunkWidth

    public static final QStyle.PixelMetric PM_ProgressBarChunkWidth

  Width of a chunk in a progress bar indicator.

### PM_SplitterWidth

    public static final QStyle.PixelMetric PM_SplitterWidth

  Width of a splitter.

### PM_TitleBarHeight

    public static final QStyle.PixelMetric PM_TitleBarHeight

  Height of the title bar.

### PM_MenuScrollerHeight

    public static final QStyle.PixelMetric PM_MenuScrollerHeight

  Height of the scroller area in a `QMenu`.

### PM_MenuHMargin

    public static final QStyle.PixelMetric PM_MenuHMargin

  Additional border (used on left and right) for a `QMenu`.

### PM_MenuVMargin

    public static final QStyle.PixelMetric PM_MenuVMargin

  Additional border (used for bottom and top) for a `QMenu`.

### PM_MenuPanelWidth

    public static final QStyle.PixelMetric PM_MenuPanelWidth

  Border width (applied on all sides) for a `QMenu`.

### PM_MenuTearoffHeight

    public static final QStyle.PixelMetric PM_MenuTearoffHeight

  Height of a tear off area in a `QMenu`.

### PM_MenuDesktopFrameWidth

    public static final QStyle.PixelMetric PM_MenuDesktopFrameWidth

  The frame width for the menu on the desktop.

### PM_MenuBarPanelWidth

    public static final QStyle.PixelMetric PM_MenuBarPanelWidth

  Frame width of a menu bar, defaults to `PM_DefaultFrameWidth`.

### PM_MenuBarItemSpacing

    public static final QStyle.PixelMetric PM_MenuBarItemSpacing

  Spacing between menu bar items.

### PM_MenuBarVMargin

    public static final QStyle.PixelMetric PM_MenuBarVMargin

  Spacing between menu bar items and top/bottom of bar.

### PM_MenuBarHMargin

    public static final QStyle.PixelMetric PM_MenuBarHMargin

  Spacing between menu bar items and left/right of bar.

### PM_IndicatorWidth

    public static final QStyle.PixelMetric PM_IndicatorWidth

  Width of a check box indicator.

### PM_IndicatorHeight

    public static final QStyle.PixelMetric PM_IndicatorHeight

  Height of a checkbox indicator.

### PM_ExclusiveIndicatorWidth

    public static final QStyle.PixelMetric PM_ExclusiveIndicatorWidth

  Width of a radio button indicator.

### PM_ExclusiveIndicatorHeight

    public static final QStyle.PixelMetric PM_ExclusiveIndicatorHeight

  Height of a radio button indicator.

### PM_CheckListButtonSize

    public static final QStyle.PixelMetric PM_CheckListButtonSize

  Area (width/height) of the checkbox/radio button in a Q3CheckListItem.

### PM_CheckListControllerSize

    public static final QStyle.PixelMetric PM_CheckListControllerSize

  Area (width/height) of the controller in a Q3CheckListItem.

### PM_DialogButtonsSeparator

    public static final QStyle.PixelMetric PM_DialogButtonsSeparator

  Distance between buttons in a dialog buttons widget.

### PM_DialogButtonsButtonWidth

    public static final QStyle.PixelMetric PM_DialogButtonsButtonWidth

  Minimum width of a button in a dialog buttons widget.

### PM_DialogButtonsButtonHeight

    public static final QStyle.PixelMetric PM_DialogButtonsButtonHeight

  Minimum height of a button in a dialog buttons widget.

### PM_MdiSubWindowFrameWidth

    public static final QStyle.PixelMetric PM_MdiSubWindowFrameWidth

  Frame width of an MDI window.

### PM_MdiSubWindowMinimizedWidth

    public static final QStyle.PixelMetric PM_MdiSubWindowMinimizedWidth

  Width of a minimized MDI window.

### PM_HeaderMargin

    public static final QStyle.PixelMetric PM_HeaderMargin

  The size of the margin between the sort indicator and the text.

### PM_HeaderMarkSize

    public static final QStyle.PixelMetric PM_HeaderMarkSize

  The size of the sort indicator in a header.

### PM_HeaderGripMargin

    public static final QStyle.PixelMetric PM_HeaderGripMargin

  The size of the resize grip in a header.

### PM_TabBarTabShiftHorizontal

    public static final QStyle.PixelMetric PM_TabBarTabShiftHorizontal

  Horizontal pixel shift when a tab is selected.

### PM_TabBarTabShiftVertical

    public static final QStyle.PixelMetric PM_TabBarTabShiftVertical

  Vertical pixel shift when a tab is selected.

### PM_TabBarScrollButtonWidth

    public static final QStyle.PixelMetric PM_TabBarScrollButtonWidth

  Internal.

### PM_ToolBarFrameWidth

    public static final QStyle.PixelMetric PM_ToolBarFrameWidth

  Width of the frame around toolbars.

### PM_ToolBarHandleExtent

    public static final QStyle.PixelMetric PM_ToolBarHandleExtent

  Width of a toolbar handle in a horizontal toolbar and the height of the handle in a vertical toolbar.

### PM_ToolBarItemSpacing

    public static final QStyle.PixelMetric PM_ToolBarItemSpacing

  Spacing between toolbar items.

### PM_ToolBarItemMargin

    public static final QStyle.PixelMetric PM_ToolBarItemMargin

  Spacing between the toolbar frame and the items.

### PM_ToolBarSeparatorExtent

    public static final QStyle.PixelMetric PM_ToolBarSeparatorExtent

  Width of a toolbar separator in a horizontal toolbar and the height of a separator in a vertical toolbar.

### PM_ToolBarExtensionExtent

    public static final QStyle.PixelMetric PM_ToolBarExtensionExtent

  Width of a toolbar extension button in a horizontal toolbar and the height of the button in a vertical toolbar.

### PM_SpinBoxSliderHeight

    public static final QStyle.PixelMetric PM_SpinBoxSliderHeight

  The height of the optional spin box slider.

### PM_DefaultTopLevelMargin

    public static final QStyle.PixelMetric PM_DefaultTopLevelMargin

  Use `PM_LayoutLeftMargin`, `PM_LayoutTopMargin`, `PM_LayoutRightMargin`, and `PM_LayoutBottomMargin` instead.

### PM_DefaultChildMargin

    public static final QStyle.PixelMetric PM_DefaultChildMargin

  Use `PM_LayoutLeftMargin`, `PM_LayoutTopMargin`, `PM_LayoutRightMargin`, and `PM_LayoutBottomMargin` instead.

### PM_DefaultLayoutSpacing

    public static final QStyle.PixelMetric PM_DefaultLayoutSpacing

  Use `PM_LayoutHorizontalSpacing` and `PM_LayoutVerticalSpacing` instead.

### PM_ToolBarIconSize

    public static final QStyle.PixelMetric PM_ToolBarIconSize

  Default tool bar icon size

### PM_ListViewIconSize

    public static final QStyle.PixelMetric PM_ListViewIconSize

  The default size for icons in a list view.

### PM_IconViewIconSize

    public static final QStyle.PixelMetric PM_IconViewIconSize

  The default size for icons in an icon view.

### PM_SmallIconSize

    public static final QStyle.PixelMetric PM_SmallIconSize

  Default small icon size

### PM_LargeIconSize

    public static final QStyle.PixelMetric PM_LargeIconSize

  Default large icon size

### PM_FocusFrameVMargin

    public static final QStyle.PixelMetric PM_FocusFrameVMargin

  Vertical margin that the focus frame will outset the widget by.

### PM_FocusFrameHMargin

    public static final QStyle.PixelMetric PM_FocusFrameHMargin

  Horizontal margin that the focus frame will outset the widget by.

### PM_ToolTipLabelFrameWidth

    public static final QStyle.PixelMetric PM_ToolTipLabelFrameWidth

  The frame width for a tool tip label.

### PM_CheckBoxLabelSpacing

    public static final QStyle.PixelMetric PM_CheckBoxLabelSpacing

  The spacing between a check box indicator and its label.

### PM_TabBarIconSize

    public static final QStyle.PixelMetric PM_TabBarIconSize

  The default icon size for a tab bar.

### PM_SizeGripSize

    public static final QStyle.PixelMetric PM_SizeGripSize

  The size of a size grip.

### PM_DockWidgetTitleMargin

    public static final QStyle.PixelMetric PM_DockWidgetTitleMargin

  Margin of the dock window title.

### PM_MessageBoxIconSize

    public static final QStyle.PixelMetric PM_MessageBoxIconSize

  The size of the standard icons in a message box

### PM_ButtonIconSize

    public static final QStyle.PixelMetric PM_ButtonIconSize

  The default size of button icons

### PM_DockWidgetTitleBarButtonMargin

    public static final QStyle.PixelMetric PM_DockWidgetTitleBarButtonMargin

  Amount of whitespace between dock widget's title bar button labels and the frame.

### PM_RadioButtonLabelSpacing

    public static final QStyle.PixelMetric PM_RadioButtonLabelSpacing

  The spacing between a radio button indicator and its label.

### PM_LayoutLeftMargin

    public static final QStyle.PixelMetric PM_LayoutLeftMargin

  Default left margin for a `QLayout`.

### PM_LayoutTopMargin

    public static final QStyle.PixelMetric PM_LayoutTopMargin

  Default top margin for a `QLayout`.

### PM_LayoutRightMargin

    public static final QStyle.PixelMetric PM_LayoutRightMargin

  Default right margin for a `QLayout`.

### PM_LayoutBottomMargin

    public static final QStyle.PixelMetric PM_LayoutBottomMargin

  Default bottom margin for a `QLayout`.

### PM_LayoutHorizontalSpacing

    public static final QStyle.PixelMetric PM_LayoutHorizontalSpacing

  Default horizontal spacing for a `QLayout`.

### PM_LayoutVerticalSpacing

    public static final QStyle.PixelMetric PM_LayoutVerticalSpacing

  Default vertical spacing for a `QLayout`.

### PM_CustomBase

    public static final QStyle.PixelMetric PM_CustomBase

  Base value for custom pixel metrics. Custom values must be greater than this value.

### CustomEnum

    public static final QStyle.PixelMetric CustomEnum

Method Detail

### values

    public static final QStyle.PixelMetric[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyle.PixelMetric c : QStyle.PixelMetric.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyle.PixelMetric valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyle.PixelMetric resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD